summaryrefslogtreecommitdiffstats
path: root/source/x/scim-pinyin
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim-pinyin')
-rwxr-xr-xsource/x/scim-pinyin/scim-pinyin.SlackBuild129
-rw-r--r--source/x/scim-pinyin/scim-pinyin.gcc43.diff44
-rw-r--r--source/x/scim-pinyin/slack-desc19
3 files changed, 192 insertions, 0 deletions
diff --git a/source/x/scim-pinyin/scim-pinyin.SlackBuild b/source/x/scim-pinyin/scim-pinyin.SlackBuild
new file mode 100755
index 000000000..79337b1ee
--- /dev/null
+++ b/source/x/scim-pinyin/scim-pinyin.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+# Copyright 2007 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: scim-pinyin
+# Descr: smart pinyin IM engine for scim
+# URL: http://www.scim-im.org/
+#
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=scim-pinyin
+VERSION=${VERSION:-0.5.91}
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz || exit 1
+cd ${PRGNAM}-${VERSION} || exit 1
+
+# Apply fix for our gcc 4.3.x
+zcat $CWD/scim-pinyin.gcc43.diff.gz | patch -p1 --verbose || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo Building ...
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --disable-static \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make DESTDIR=$PKG install || exit 1
+
+#cd skim
+#echo Building skim ...
+#CFLAGS="$SLKCFLAGS" \
+#./configure \
+# --prefix=$(kde-config --prefix) \
+# --localstatedir=/var \
+# --sysconfdir=/etc \
+# --disable-static \
+# --without-arts \
+# --program-prefix= \
+# --program-suffix= \
+# --build=$ARCH-slackware-linux
+#make $NUMJOBS || make || exit 1
+#make DESTDIR=$PKG install || exit 1
+#cd -
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/source/x/scim-pinyin/scim-pinyin.gcc43.diff b/source/x/scim-pinyin/scim-pinyin.gcc43.diff
new file mode 100644
index 000000000..6f9bd3879
--- /dev/null
+++ b/source/x/scim-pinyin/scim-pinyin.gcc43.diff
@@ -0,0 +1,44 @@
+diff -Naur scim-pinyin-0.5.91.orig/src/scim_phrase.cpp scim-pinyin-0.5.91/src/scim_phrase.cpp
+--- scim-pinyin-0.5.91.orig/src/scim_phrase.cpp 2005-01-06 22:30:58.000000000 +0900
++++ scim-pinyin-0.5.91/src/scim_phrase.cpp 2008-06-21 13:16:32.000000000 +0900
+@@ -27,6 +27,7 @@
+
+ #define SCIM_PHRASE_MAX_RELATION 1000
+
++#include <cstring>
+ #include <scim.h>
+ #include "scim_pinyin_private.h"
+ #include "scim_phrase.h"
+diff -Naur scim-pinyin-0.5.91.orig/src/scim_pinyin.cpp scim-pinyin-0.5.91/src/scim_pinyin.cpp
+--- scim-pinyin-0.5.91.orig/src/scim_pinyin.cpp 2005-08-08 15:11:16.000000000 +0900
++++ scim-pinyin-0.5.91/src/scim_pinyin.cpp 2008-06-21 13:16:30.000000000 +0900
+@@ -28,6 +28,7 @@
+ #define Uses_SCIM_CONFIG_PATH
+ #define Uses_SCIM_LOOKUP_TABLE
+
++#include <cstring>
+ #include <scim.h>
+ #include "scim_pinyin.h"
+
+diff -Naur scim-pinyin-0.5.91.orig/src/scim_pinyin_phrase.cpp scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp
+--- scim-pinyin-0.5.91.orig/src/scim_pinyin_phrase.cpp 2005-08-06 21:06:49.000000000 +0900
++++ scim-pinyin-0.5.91/src/scim_pinyin_phrase.cpp 2008-06-21 13:21:13.000000000 +0900
+@@ -26,6 +26,7 @@
+ #define Uses_SCIM_CONFIG_PATH
+ #define Uses_SCIM_LOOKUP_TABLE
+
++#include <cstring>
+ #include <scim.h>
+ #include "scim_pinyin_private.h"
+ #include "scim_phrase.h"
+diff -Naur scim-pinyin-0.5.91.orig/src/scim_special_table.cpp scim-pinyin-0.5.91/src/scim_special_table.cpp
+--- scim-pinyin-0.5.91.orig/src/scim_special_table.cpp 2005-01-06 22:31:02.000000000 +0900
++++ scim-pinyin-0.5.91/src/scim_special_table.cpp 2008-06-21 13:25:25.000000000 +0900
+@@ -20,6 +20,7 @@
+ #define Uses_STL_IOMANIP
+ #define Uscs_C_STRING
+
++#include <cstring>
+ #include <time.h>
+ #include <scim.h>
+ #include "scim_pinyin_private.h"
diff --git a/source/x/scim-pinyin/slack-desc b/source/x/scim-pinyin/slack-desc
new file mode 100644
index 000000000..72ba7039b
--- /dev/null
+++ b/source/x/scim-pinyin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+scim-pinyin: scim-pinyin (smart pinyin IM engine)
+scim-pinyin:
+scim-pinyin: This package provides a smart pinyin IM engine for SCIM. It includes
+scim-pinyin: the plugin modules and the data files to use the smart pinyin input
+scim-pinyin: input method for Chinese.
+scim-pinyin:
+scim-pinyin: scim-pinyin home: http://www.scim-im.org/
+scim-pinyin:
+scim-pinyin:
+scim-pinyin:
+scim-pinyin: